Bug 985317 - Please add Python 3 subpackage to langtable
Please add Python 3 subpackage to langtable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: langtable (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PY3ANACONDA
  Show dependency treegraph
 
Reported: 2013-07-17 05:46 EDT by Bohuslav "Slavek" Kabrda
Modified: 2014-01-21 00:57 EST (History)
4 users (show)

See Also:
Fixed In Version: langtable-0.0.23-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 00:57:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:46:13 EDT
Hi,
since it seems that langtable source is Python 3 ready (but I'm not totally sure), could you consider adding python3 subpackage in Fedora?
Thanks.
Comment 1 Fedora End Of Life 2013-09-16 10:34:25 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Miro Hrončok 2013-10-01 10:28:31 EDT
If you need any extra hand with this, feel free to use me :)
Comment 3 Miro Hrončok 2013-10-02 07:34:55 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3 subpackage.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 4 Mike FABIAN 2013-10-02 12:26:26 EDT
Working on this.
Comment 6 Toshio Ernie Kuratomi 2013-10-02 18:02:46 EDT
Note: do not follow this advice as it is against the Packaging Guidelines: "When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option."

If you are in this situation, you'll essentially be forking upstream in order to produce a python3 port.  In that situation, the proper thing to do is to create a new package with the python3 port.  It would be even better to create the proper upstream infrastructure as well (new upstream scm and issue tracker) but that isn't 100% required by the guidelines.
Comment 7 Fedora Update System 2013-10-08 07:32:35 EDT
langtable-0.0.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.16-1.fc19
Comment 8 Fedora Update System 2013-10-08 07:34:50 EDT
langtable-0.0.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/langtable-0.0.16-1.fc20
Comment 9 Fedora Update System 2013-10-09 10:15:20 EDT
Package langtable-0.0.16-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing langtable-0.0.16-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18514/langtable-0.0.16-1.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-10-22 10:22:32 EDT
langtable-0.0.17-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.17-1.fc19
Comment 11 Fedora Update System 2013-11-04 07:17:53 EST
langtable-0.0.18-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.18-1.fc19
Comment 12 Fedora Update System 2013-11-10 02:25:24 EST
langtable-0.0.16-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-11-11 12:09:16 EST
langtable-0.0.19-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.19-1.fc19
Comment 14 Fedora Update System 2013-11-12 21:07:18 EST
Package langtable-0.0.19-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing langtable-0.0.19-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21153/langtable-0.0.19-1.fc19
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-11-19 18:45:27 EST
langtable-0.0.20-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.20-1.fc19
Comment 16 Fedora Update System 2013-12-04 09:39:28 EST
langtable-0.0.22-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.22-1.fc19
Comment 17 Fedora Update System 2013-12-10 11:58:44 EST
langtable-0.0.23-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/langtable-0.0.23-1.fc19
Comment 18 Fedora Update System 2014-01-21 00:57:12 EST
langtable-0.0.23-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.